## Class Auth_OpenID_Encoder

Description

Encode an Auth_OpenID_ServerResponse to an Auth_OpenID_WebResponse.

Located in /Auth/OpenID/Server.php (line 1439)

Direct descendents

Class | Description
--- | ---
Auth_OpenID_SigningEncoder | An encoder which also takes care of signing fields when required.

Variable Summary
mixed $responseFactory
Method Summary
void encode ( &$response)
Variables
mixed $responseFactory = 'Auth_OpenID_WebResponse' (line 1441)
Methods
encode (line 1447)

Encode an Auth_OpenID_ServerResponse and return an Auth_OpenID_WebResponse.

void encode ( &$response)

- &$response

Redefined in descendants as:

- Auth_OpenID_SigningEncoder::encode() : Sign an Auth_OpenID_ServerResponse and return an Auth_OpenID_WebResponse.

Documentation generated on Tue, 21 Apr 2009 11:31:32 -0700 by phpDocumentor 1.3.2